Bug 1583640 - [DOCS] Using CRI-O requires port 10010/tcp to be opened
Summary: [DOCS] Using CRI-O requires port 10010/tcp to be opened
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: Meng Bo
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-29 12:14 UTC by Eduardo Minguez
Modified: 2018-06-18 13:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-18 13:16:22 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1583133 0 high CLOSED [Free-int][Free-STG]Failed to connect to pod with 'getsockopt' error 2021-02-22 00:41:40 UTC

Description Eduardo Minguez 2018-05-29 12:14:17 UTC
Document URL:  https://docs.openshift.com/container-platform/3.9/install_config/install/prerequisites.html#prereq-network-access

Section Number and Name:  Network access

Describe the issue: CRI-O requires port 10010 to be opened to be able to perform oc exec and oc rsh

Suggestions for improvement:  Add 10010/tcp to requisites if using cri-o

Additional information: 
https://github.com/kubernetes-incubator/cri-o/issues/1246

Comment 1 Ashley Hardin 2018-05-29 21:34:03 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/9649

Eduardo, Please review.

Comment 2 Eduardo Minguez 2018-05-30 08:34:34 UTC
There are some other docs where the ports information is shown:
https://docs.openshift.com/container-platform/3.9/install_config/configuring_aws.html#install-config-configuring-aws
https://docs.openshift.com/container-platform/3.9/install_config/configuring_openstack.html#install-config-configuring-openstack

I'd say it is required to add that port there as well.

I'm adding Antonio Murdaca to confirm the port is required just in case.

Thanks.

Comment 3 Antonio Murdaca 2018-06-04 15:51:55 UTC
(In reply to Eduardo Minguez from comment #2)
> There are some other docs where the ports information is shown:
> https://docs.openshift.com/container-platform/3.9/install_config/
> configuring_aws.html#install-config-configuring-aws
> https://docs.openshift.com/container-platform/3.9/install_config/
> configuring_openstack.html#install-config-configuring-openstack
> 
> I'd say it is required to add that port there as well.
> 
> I'm adding Antonio Murdaca to confirm the port is required just in case.
> 
> Thanks.

it's required for streaming functionality yeah (like oc exec and the like)

Comment 4 Ashley Hardin 2018-06-06 21:19:05 UTC
Thanks! This is now updated. Please check that the way I added this to the table makes sense. The update to configuring_a_security_group.adoc file will apply to both the Configuring for OpenStack and Configuring for AWS topics. Thanks!

https://github.com/openshift/openshift-docs/pull/9649

Comment 5 Eduardo Minguez 2018-06-07 06:30:59 UTC
LGTM

Comment 6 Meng Bo 2018-06-15 09:04:31 UTC
The docs PR looks good.

Comment 7 openshift-github-bot 2018-06-15 13:55:26 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/2266529091255f0a1efd1811362ea381900a2da1
Bug 1583640, added CRIO-O port prereq

https://github.com/openshift/openshift-docs/commit/b07eabf03db67ead7275cbe61bab250bcb305c6a
Merge pull request #9649 from ahardin-rh/crio-port

Bug 1583640, added CRIO-O port prereq


Note You need to log in before you can comment on or make changes to this bug.